<?php
/**
 * The template for adding color options in Customizer
 *
 * @package Decree Pro
 */

$wp_customize->add_panel( 'decree_color_options', array(
	'capability'     => 'edit_theme_options',
	'description'    => esc_html__( 'Color Options', 'decree-pro' ),
	'priority'       => 300,
	'title'    		 => esc_html__( 'Color Options', 'decree-pro' ),
) );

$color_headings = apply_filters( 'decree_color_options', 'color_headings' );

foreach ( $color_headings as $key_section => $title_section ) {
	$color_options	= apply_filters( 'decree_color_options', $key_section );

	$wp_customize->add_section( 'decree_' . $key_section, array(
		'panel' => 'decree_color_options',
		'title' => $title_section,
	) );

	$i = 10;
	foreach ( $color_options as $key => $value ) {
		$wp_customize->add_setting( 'decree_theme_options[' . $key . ']', array(
					'default'           => $defaults[ $key ],
			'sanitize_callback' => 'sanitize_hex_color',
		) );

		$wp_customize->add_control( new WP_Customize_Color_Control( $wp_customize, 'decree_theme_options[' . $key . ']', array(
			'label'    => $value['label'],
			'priority' => $i,
			'section'  => 'decree_' . $key_section,
			'settings' => 'decree_theme_options[' . $key . ']',
		) ) );
		$i += 10;
	}
}
