<?php
/**
* The template for adding Our Professors Settings in Customizer
*
 * @package Decree Pro
*/


$wp_customize->add_section( 'decree_team', array(
	'panel'    => 'decree_theme_options',
	'title'    => esc_html__( 'Team', 'decree-pro' ),
) );

$wp_customize->add_setting( 'decree_theme_options[team_option]', array(
	'default'			=> $defaults['team_option'],
	'sanitize_callback' => 'decree_sanitize_select',
) );

$wp_customize->add_control( 'decree_theme_options[team_option]', array(
	'choices'  => decree_section_visibility_options(),
	'label'    => esc_html__( 'Enable on', 'decree-pro' ),
	'section'  => 'decree_team',
	'settings' => 'decree_theme_options[team_option]',
	'type'     => 'select',
) );

$wp_customize->add_setting( 'decree_theme_options[team_layout]', array(
	'default'			=> $defaults['team_layout'],
	'sanitize_callback' => 'decree_sanitize_select',
) );

$wp_customize->add_control( 'decree_theme_options[team_layout]', array(
	'active_callback' => 'decree_is_team_active',
	'choices'         => decree_featured_content_layout_options(),
	'label'           => esc_html__( 'Select Layout', 'decree-pro' ),
	'section'         => 'decree_team',
	'settings'        => 'decree_theme_options[team_layout]',
	'type'            => 'select',
) );

$wp_customize->add_setting( 'decree_theme_options[team_position]', array(
	'default'			=> $defaults['team_position'],
	'sanitize_callback' => 'decree_sanitize_checkbox'
) );

$wp_customize->add_control( 'decree_theme_options[team_position]', array(
	'active_callback' => 'decree_is_team_active',
	'label'           => esc_html__( 'Check to Move above Footer', 'decree-pro' ),
	'section'         => 'decree_team',
	'settings'        => 'decree_theme_options[team_position]',
	'type'            => 'checkbox',
) );

$wp_customize->add_setting( 'decree_theme_options[team_type]', array(
	'default'           => $defaults['team_type'],
	'sanitize_callback' => 'decree_sanitize_select',
) );

$wp_customize->add_control( 'decree_theme_options[team_type]', array(
	'active_callback' => 'decree_is_team_active',
	'choices'         => decree_custom_section_types(),
	'label'           => esc_html__( 'Select Content Type', 'decree-pro' ),
	'section'         => 'decree_team',
	'settings'        => 'decree_theme_options[team_type]',
	'type'            => 'select',
) );

$wp_customize->add_setting( 'decree_theme_options[team_headline]', array(
	'default'           => $defaults['team_headline'],
	'sanitize_callback' => 'wp_kses_post',
) );

$wp_customize->add_control( 'decree_theme_options[team_headline]' , array(
	'active_callback' => 'decree_is_demo_team_inactive',
	'description'     => esc_html__( 'Leave field empty to remove', 'decree-pro' ),
	'label'           => esc_html__( 'Headline', 'decree-pro' ),
	'section'         => 'decree_team',
	'settings'        => 'decree_theme_options[team_headline]',
	'type'            => 'text',
	)
);

$wp_customize->add_setting( 'decree_theme_options[team_subheadline]', array(
	'default'           => $defaults['team_subheadline'],
	'sanitize_callback' => 'wp_kses_post',
) );

$wp_customize->add_control( 'decree_theme_options[team_subheadline]' , array(
	'active_callback' => 'decree_is_demo_team_inactive',
	'description'     => esc_html__( 'Leave field empty to remove', 'decree-pro' ),
	'label'           => esc_html__( 'Sub-headline', 'decree-pro' ),
	'section'         => 'decree_team',
	'settings'        => 'decree_theme_options[team_subheadline]',
	'type'            => 'text',
	)
);

$wp_customize->add_setting( 'decree_theme_options[team_number]', array(
	'default'           => $defaults['team_number'],
	'sanitize_callback' => 'decree_sanitize_number_range',
) );

$wp_customize->add_control( 'decree_theme_options[team_number]' , array(
		'active_callback' => 'decree_is_demo_team_inactive',
		'description'     => esc_html__( 'Save and refresh the page if No. of items', 'decree-pro' ),
		'input_attrs'     => array(
			'style' => 'width: 45px;',
			'min'   => 0,
		),
		'label'           => esc_html__( 'No of items', 'decree-pro' ),
		'section'         => 'decree_team',
		'settings'        => 'decree_theme_options[team_number]',
		'type'            => 'number',
		)
);

$wp_customize->add_setting( 'decree_theme_options[team_enable_title]', array(
		'default'           => $defaults['team_enable_title'],
		'sanitize_callback' => 'decree_sanitize_checkbox',
	) );

$wp_customize->add_control(  'decree_theme_options[team_enable_title]', array(
	'active_callback' => 'decree_is_demo_team_inactive',
	'label'           => esc_html__( 'Check to Enable Title', 'decree-pro' ),
	'section'         => 'decree_team',
	'settings'        => 'decree_theme_options[team_enable_title]',
	'type'            => 'checkbox',
) );

$wp_customize->add_setting( 'decree_theme_options[team_show]', array(
	'default'           => $defaults['team_show'],
	'sanitize_callback' => 'decree_sanitize_select',
) );

$wp_customize->add_control( 'decree_theme_options[team_show]', array(
	'active_callback' => 'decree_is_demo_team_inactive',
	'choices'         => decree_featured_content_show(),
	'label'           => esc_html__( 'Display Content', 'decree-pro' ),
	'section'         => 'decree_team',
	'settings'        => 'decree_theme_options[team_show]',
	'type'            => 'select',
) );

$wp_customize->add_setting( 'decree_theme_options[team_select_category]', array(
	'sanitize_callback'	=> 'decree_sanitize_category_list',
) );

$wp_customize->add_control( new decree_customize_dropdown_categories_control( $wp_customize, 'decree_team_select_category', array(
	'active_callback'	=> 'decree_is_category_team_active',
    'label'   	=> esc_html__( 'Select Categories', 'decree-pro' ),
    'name' 		=> 'decree_theme_options[team_select_category]',
    'section'  	=> 'decree_team',
    'settings' 	=> 'decree_theme_options[team_select_category]',
    'type'     	=> 'dropdown-categories',
) ) );


$priority	=	7;

for ( $i=1; $i <= $options['team_number'] ; $i++ ) {

	//for featured post content
	$wp_customize->add_setting( 'decree_theme_options[team_post_' . $i . ']', array(
					'sanitize_callback'	=> 'decree_sanitize_page',
		)
	);

	$wp_customize->add_control( 'decree_team_post_'. $i, array(
		'active_callback'	=> 'decree_is_post_team_active',
		'input_attrs' => array(
        	'style' => 'width: 100px;'
    	),
		'label'    	=> esc_html__( 'Featured Post', 'decree-pro' ) . ' ' . $i ,
		'section'  	=> 'decree_team',
		'settings' 	=> 'decree_theme_options[team_post_' . $i . ']',
		'type'	   	=> 'text',
		)
	);

	$wp_customize->add_setting( 'decree_theme_options[team_page_' . $i . ']', array(
			'sanitize_callback'	=> 'decree_sanitize_page',
	) );

	$wp_customize->add_control( 'decree_team_page_'. $i, array(
		'active_callback'	=> 'decree_is_page_team_active',
		'label'    	=> esc_html__( 'Featured Page', 'decree-pro' ) . ' ' . $i ,
		'section'  	=> 'decree_team',
		'settings' 	=> 'decree_theme_options[team_page_' . $i . ']',
		'type'	   	=> 'dropdown-pages',
	) );

	if ( $i > 9 ) // use this condition to make sure 10 comes after 9 priority wise
		$priority++;

	$wp_customize->add_setting( 'decree_theme_options[team_note_' . $i . ']', array(
			'sanitize_callback'	=> 'sanitize_text_field',
	) );

	$wp_customize->add_control( new decree_note_control( $wp_customize, 'team_note_'. $i, array(
		'active_callback'	=> 'decree_is_image_team_active',
        'label'		=> esc_html__( 'Professor #', 'decree-pro' ) .  $i,
		'section'  	=> 'decree_team',
        'settings'	=> 'decree_theme_options[team_note_' . $i . ']',
        'type'     	=> 'description',
		) ) );

	$wp_customize->add_setting( 'decree_theme_options[team_image_' . $i . ']', array(
			'sanitize_callback'	=> 'decree_sanitize_image',
	) );

	$wp_customize->add_control( new WP_Customize_Image_Control( $wp_customize, 'team_image_'. $i , array(
		'active_callback'	=> 'decree_is_image_team_active',
		'label'		=> esc_html__( 'Image', 'decree-pro' ),
        'section'   => 'decree_team',
        'settings'  => 'decree_theme_options[team_image_' . $i . ']',
	) ) );

	$wp_customize->add_setting( 'decree_theme_options[team_link_' . $i . ']', array(
			'sanitize_callback'	=> 'esc_url_raw',
	) );

	$wp_customize->add_control(  'decree_theme_options[team_link_' . $i . ']', array(
		'active_callback'	=> 'decree_is_image_team_active',
		'label'		=> esc_html__( 'Link', 'decree-pro' ),
        'section'   => 'decree_team',
        'settings'  => 'decree_theme_options[team_link_' . $i . ']',
	) );

	$wp_customize->add_setting( 'decree_theme_options[team_target_' . $i . ']', array(
        	'sanitize_callback'	=> 'decree_sanitize_checkbox',
	) );

	$wp_customize->add_control(  'decree_theme_options[team_target_' . $i . ']', array(
		'active_callback'	=> 'decree_is_image_team_active',
		'label'		=> esc_html__( 'Check to Open Link in New Window/Tab', 'decree-pro' ),
        'section'   => 'decree_team',
        'settings'  => 'decree_theme_options[team_target_' . $i . ']',
		'type'		=> 'checkbox',
    ) );

    $wp_customize->add_setting( 'decree_theme_options[team_title_' . $i . ']', array(
			'sanitize_callback'	=> 'sanitize_text_field',
	) );

	$wp_customize->add_control(  'decree_theme_options[team_title_' . $i . ']', array(
		'active_callback'	=> 'decree_is_image_team_active',
		'label'		=> esc_html__( 'Title', 'decree-pro' ),
        'section'   => 'decree_team',
        'settings'  => 'decree_theme_options[team_title_' . $i . ']',
		'type'		=> 'text',
    ) );

    $wp_customize->add_setting( 'decree_theme_options[team_content_' . $i . ']', array(
			'sanitize_callback'	=> 'sanitize_text_field',
	) );

	$wp_customize->add_control( 'decree_theme_options[team_content_' . $i . ']', array(
		'active_callback'	=> 'decree_is_image_team_active',
		'label'		=> esc_html__( 'Content', 'decree-pro' ),
        'section'   => 'decree_team',
        'settings'  => 'decree_theme_options[team_content_' . $i . ']',
		'type'		=> 'textarea',
    ) );
}
